# Copyright(c) 2002-2004 Association of Universities for Research in Astronomy, Inc.
#
# Package script for the gmos package
# load necessary packages - gemini loads most of the packages
gemtools

# spectroscopy packages for longslit - may be moved to gemini later
twodspec
longslit

package gmos

# mostools
set  mostools      = "gmos$mostools/"
task mostools.pkg  = mostools$mostools.cl

# Needed for IFU headers
set     min_lenuserarea = 400000

# setup tasks and hartmann task
task gfquick=gmos$gfquick.cl

# prototype tasks
task gsdrawslits=gmos$gsdrawslits.cl

# generic tasks
task gdisplay=gmos$gdisplay.cl
task gprepare=gmos$gprepare.cl
task gbias=gmos$gbias.cl
task gbpm=gmos$gbpm.cl
task gmosaic=gmos$gmosaic.cl
task ggain=gmos$ggain.cl

#imaging tasks
task giflat=gmos$giflat.cl
task gifringe=gmos$gifringe.cl
task girmfringe=gmos$girmfringe.cl
task gireduce=gmos$gireduce.cl

#spectroscopy tasks
task gsappwave=gmos$gsappwave.cl
task gscalibrate=gmos$gscalibrate.cl
task gscrrej=gmos$gscrrej.cl
task gscrmask=gmos$gscrmask.cl
task gscut=gmos$gscut.cl
task gsextract=gmos$gsextract.cl
task gsflat=gmos$gsflat.cl
task gsreduce=gmos$gsreduce.cl
task gsskysub=gmos$gsskysub.cl
task gsstandard=gmos$gsstandard.cl
task gstransform=gmos$gstransform.cl
task gswavelength=gmos$gswavelength.cl
# N&S tasks
task gnsskysub=gmos$gnsskysub.cl
task gnscombine=gmos$gnscombine.cl

#special ifu tasks
task gfapsum=gmos$gfapsum.cl
task gfcube=gmos$x_gmos.e
task gfextract=gmos$gfextract.cl
task gfreduce=gmos$gfreduce.cl
task gfresponse=gmos$gfresponse.cl
task gfskysub=gmos$gfskysub.cl
task gftransform=gmos$gftransform.cl
task gfdisplay=gmos$gfdisplay.cl

# cookbooks
task gmosinfo=gmos$gmosinfo.cl
task gmosinfoimag=gmos$gmosinfoimag.cl
task gmosinfospec=gmos$gmosinfospec.cl
task gmosinfoifu=gmos$gmosinfoifu.cl

# Examples
task gmosexamples=gmos$gmosexamples.cl

clbye()
